﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls


@model SSCMvc.Models.Tb_CourseHist
@using System.Web.UI.WebControls
<script src="~/Scripts/jquery-1.7.1.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
<script type="text/javascript">

    $(document).ready(function () {

        $("#FromDate").datepicker();
        $("#Todate").datepicker();

        $("#DurationOfExp").datepicker();
    });
    function Submitcourse() {

        var Course = $("#CourseId").val();

        var Package = $("#PackageId").val();

        var Time = $("#TimeId").val();
        var group = $("#ie").val();

    

        var FromDate = $("#FromDate").val();
        var remarks = $("#CourseRemarks").val();
        //       // var ToDate = $("#Todate").val();
        //var IsActive = $("#IsActive").val();


        var id = $("#admid").val();

        $.post("/MaAdmission/_CourseHistoryCreate", { Course: Course, Package: Package, Group: group, Time: Time, FromDate: FromDate, IsActive: true, id: id, remarks: remarks });
        // $("#emphist").submit();
        location.reload();

    }





</script>
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    @*<div class="header">
            <div class="stats">
            </div>

            <h1 class="page-title">Create Course History</h1>
        </div>
        <ul class="breadcrumb">
            <li>@Html.ActionLink("Home", "Index", "MaAdmission") <span class="divider">/</span></li>
            <li class="active">Dashboard</li>
        </ul>


    *@<div style="float: right">
    </div>
    <div class="container-fluid">
        <div class="row-fluid">

            <div>

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table align="left" class="bordertable">
                                <tr>
                                    <td align="left">

                                        <table style="width: 560px">
                                            <tr>
                                                <td style="width: 120px">
                                                    @{object admid = @ViewBag.Sid; }
                                                    @Html.Hidden("AdmissionId", @admid)
                                                    <table>
                                                        <tr>
                                                            <td>@Html.LabelFor(model => model.CourseId, "Course")</td>
                                                            <td><span class="color_style">*</span></td>
                                                        </tr>
                                                    </table>

                                                </td>
                                                <td>
                                                    @Html.DropDownList("CourseId", "Select")
                                                @Html.ValidationMessageFor(model => model.CourseId)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <table>
                                                    <tr>
                                                        <td>@Html.LabelFor(model => model.PackageId, "Package")</td>
                                                        <td><span class="color_style">*</span></td>
                                                    </tr>
                                                </table>

                                            </td>
                                            <td>
                                                @Html.DropDownList("PackageId", "Select")
                                            @Html.ValidationMessageFor(model => model.PackageId)
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>Group</td>
                                        <td>
                                            @{
                                                    var listIELTS = new List<ListItem>();


                                                    ViewBag.IELTS = listIELTS;

                                                    var listGRAM = new List<ListItem>();

                                                    listGRAM.Add(new ListItem { Text = "GRAMMAR", Value = "GRAMMAR" });

                                                    ViewBag.Grammar = listGRAM;

                                                    var listEND = new List<ListItem>();
                                                    listEND.Add(new ListItem { Text = "ENDEAVOUR", Value = "ENDEAVOUR" });
                                                    listEND.Add(new ListItem { Text = "PTE", Value = "PTE" });

                                                    ViewBag.End = listEND;
                                            }
                                            @Html.DropDownList("ie", new SelectList(listIELTS))

                                        </td>

                                    </tr>

                                    <tr>
                                        <td>

                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.TimeId, "Time")</td>
                                                    <td><span class="color_style">*</span></td>
                                                  
                                                </tr>
                                            </table>


                                        </td>
                                        <td>
                                            @Html.DropDownList("TimeId", "Select")
                                        @Html.ValidationMessageFor(model => model.TimeId)
                                    </td>
                                        <td>

                                            <div style="height:20px;width:160px; color:#ffffff; text-align:center; font-weight:bold" id="Avail"></div>
                                        </td>
                                </tr>

                                @{
                                                    string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
                                                    if (utype == CommonUtil.UserTypeSuperAdmin || utype == CommonUtil.UserTypeAdmin)
                                                    {


                                                        <tr>
                                                            <td>

                                                                <table>
                                                                    <tr>
                                                                        <td>@Html.LabelFor(model => model.FromDate)</td>
                                                                        <td><span class="color_style">*</span></td>
                                                                    </tr>
                                                                </table>

                                                            </td>
                                                            <td>
                                                                @Html.EditorFor(model => model.FromDate)
                                                            @Html.ValidationMessageFor(model => model.FromDate)
                                                        </td>
                                                    </tr>

                                                    }
                                                    else
                                                    {
                                                        <tr>
                                                            <td>

                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            @Html.LabelFor(model => model.FromDate)
                                                                    </td>
                                                                    <td><span class="color_style">*</span></td>
                                                                </tr>
                                                            </table>

                                                        </td>
                                                        <td>
                                                            @Html.TextBoxFor(model => model.FromDate, new { @disabled = "disabled", })
                                                            @Html.ValidationMessageFor(model => model.FromDate)
                                                        </td>
                                                    </tr>
                                                    }
                                }

                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.CourseRemarks)</td>

                                            </tr>
                                        </table>

                                    </td>
                                    <td>
                                        @Html.TextAreaFor(model => model.CourseRemarks)
                                    @Html.ValidationMessageFor(model => model.CourseRemarks)
                                </td>
                            </tr>


                            <tr>
                                <td>

                                    @Html.LabelFor(model => model.IsActive)


                                </td>
                                <td>
                                    @Html.CheckBoxFor(model => model.IsActive, new { @checked = true })
                                @Html.ValidationMessageFor(model => model.IsActive)
                            </td>
                        </tr>

                    </table>

                </td>
            </tr>
            <tr>
                <td>
                    <br />
                    <input type="button" value="Save" onclick="Submitcourse()" class="btn btn-primary" />

                </td>

            </tr>


        </table>

    </form>
</div>

</div>

</div>




</div>
</div>
}

